.chunk-upload .files-container {
    min-height: 100px;
    padding: 2px;
    border: 1px solid #D2D6DE;
    background-color: white;
    position: relative;
}

.chunk-upload .files-container.selectable,
.chunk-upload .files-container.checkable {
    padding: 2px 2px 2px 30px;
}

.chunk-upload .files-container.selectable.checkable {
    padding: 2px 2px 2px 60px;
}

.chunk-upload .files-container .vertical-selector {
    display: none;
}

.chunk-upload .files-container.selectable .vertical-selector {
    bottom: 0;
    left: 0;
    padding: 2px;
    position: absolute;
    top: 0;
    width: 30px;
    display: block;
}

.chunk-upload .files-container.selectable .vertical-selector + .vertical-selector {
    left: 30px;
}

.chunk-upload .files-container.selectable .vertical-selector div.iradio,
.chunk-upload .files-container.selectable .vertical-selector div.icheckbox{
    background-color: #BAD0EF;
    border: 1px solid #d2d6de;
    margin-bottom: 2px;
    position: relative;
    color: white;
    font-family: FontAwesome;
    font-feature-settings: normal;
    font-kerning: auto;
    font-language-override: normal;
    font-size: 20px;
    font-size-adjust: none;
    font-stretch: normal;
    font-style: normal;
    font-synthesis: weight style;
    font-variant: normal;
    font-weight: normal;
    line-height: 1;
    text-rendering: auto;
    padding: 5px 0;
    text-align:center;
}

.chunk-upload .files-container.selectable .vertical-selector div.iradio:before {
    content: '';
}
.chunk-upload .files-container.selectable .vertical-selector div.iradio.checked:before {
    content: '';
}

.chunk-upload .files-container.checkable .vertical-selector div.icheckbox:before {
    content: '';
}
.chunk-upload .files-container.checkable .vertical-selector div.icheckbox.checked:before {
    content: '';
}

.chunk-upload .files-container .placeholder {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    background-color: rgba(230, 230, 230, 0.7);
    display: none;
    color: gray;
    z-index: 9999999;
}

.chunk-upload.files-dragover .files-container .placeholder {
    display: block;
}

.chunk-upload.drag-over .files-container .placeholder, .chunk-upload .files-container .placeholder:hover {
    color: black;
}

.chunk-upload .files-container .placeholder .placeholder-icon-container {
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    position: absolute;
    margin: auto;
    width: 300px;
    height: 83px;
    padding-left: 100px;
    background: rgba(240, 240, 240, 0.5);
}

.chunk-upload .files-container .placeholder span.icon {
    font-size: 70px;
    position: absolute;
    left: 15px;
    top: -10px;
}

.chunk-upload .files-container .placeholder .placeholder-icon-container span.text {
    font-weight: bold;
    margin-top: 10px;
    display: inline-block;
}

.chunk-upload .file-element {
    position: relative;
    margin-bottom: 2px;
    border: 1px solid #D2D6DE;
}

.chunk-upload .file-progress {
    position: absolute;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#bed0ea+0,a6c0e3+38,afc7e8+70,bad0ef+100 */
    background: #bed0ea; /* Old browsers */
    background: -moz-linear-gradient(left,  #bed0ea 0%, #a6c0e3 38%, #afc7e8 70%, #bad0ef 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(left,  #bed0ea 0%,#a6c0e3 38%,#afc7e8 70%,#bad0ef 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to right,  #bed0ea 0%,#a6c0e3 38%,#afc7e8 70%,#bad0ef 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#bed0ea', endColorstr='#bad0ef',GradientType=1 ); /* IE6-9 */
}

.chunk-upload .file-name {
    position: relative;
}

.chunk-upload .file-progress {
    white-space: nowrap;
}

.chunk-upload .file-progress, .chunk-upload .file-name {
    padding: 5px;
    overflow: hidden;
}

.chunk-upload .delete-file {
    float: right;
    display: none;
    color: darkred;
}

.chunk-upload .file-element:hover .delete-file {
    display: inline;
}


/**********************
 ** GALLERY UPLOADER **
**********************/

.files-container.gallery .element-container {
    width: 172px;
    display: inline-block;
    padding: 10px;
    border-radius: 10px;
    border: 1px solid lightgray;
    margin: 5px;
    box-shadow: 3px 1px 16px -3px lightgrey;
}

.files-container.gallery .element-container:hover {
    cursor: pointer;
    background-color: #F8F8F8;
}

.files-container.gallery .element-container.selected {
    background-color: #ecf0f5;
}

.files-container.gallery .element-container .element .img {
    position: relative;
}

.files-container.gallery .element-container .element .img img {
    width: 150px;
    height: 120px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.element .btn-toolbar .btn-group {
    margin-bottom: 0;
}

.files-container.gallery .btn-toolbar i.fa {
    font-size: 16px;
}

.files-container.gallery .btn-toolbar i.fa:not(.fa-trash) {
    color: lightgray;
}

.files-container.gallery label .icheckbox + i.fa {
    color: lightgray;
}

.files-container.gallery .iradio.checked + .element-container .icheckbox + i.fa {
    color: #cedaea;
}

.files-container.gallery label > .icheckbox {
    display: none;
}

.files-container.gallery .btn-toolbar .btn.active.focus,
.files-container.gallery .btn-toolbar .btn.active:focus,
.files-container.gallery .btn-toolbar .btn.focus,
.files-container.gallery .btn-toolbar .btn.active,
.files-container.gallery .btn-toolbar .btn:active,
.files-container.gallery .btn-toolbar .btn:active.focus,
.files-container.gallery .btn-toolbar .btn:active:focus,
.files-container.gallery .btn-toolbar .btn:focus,
.files-container.gallery :active.focus,
.files-container.gallery :active:focus,
.files-container.gallery :focus {
    outline: none;
    box-shadow: none;
}

.files-container.gallery .iradio {
    display: none;
}

.files-container .delete-file {
    display: inline;
}

.files-container.gallery .iradio.checked + .element-container {
    background-color: #a7c0e3;
}

.files-container.gallery .btn-link:not(.delete-file):focus,
.files-container.gallery .btn-link:not(.delete-file):hover,
.files-container.gallery .btn-link:not(.delete-file),
.files-container.gallery label .icheckbox.checked + i.fa,
.files-container.gallery .iradio.checked + .element-container .icheckbox.checked + i.fa,
.files-container.gallery .element-container input[type="hidden"]:not([value=""]) + .btn-description i.fa {
    color: #333;
}


.files-container.gallery .img .load-progress {
    background: white;
    height: 120px;
    left: 0px;
    position: absolute;
    top: 0px;
    width: 150px;
}

.files-container.gallery .img .load-progress .c100 {
    position: absolute;
    left: 15px;
}